"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ajaxMessageFromString = exports.UnknownMessage = exports.AlarmMessage = void 0;
const ajax_1 = require("./ajax");
class AlarmMessage {
    constructor(messageChunks) {
        this.messageType = ajax_1.AjaxSerialMessageType.ALARM;
        //Spec says => ALARM;DevType;DevID;AlarmNUM=Value;
        //Reality   => ALARM;5;943C26;19;PRT=0;
        this.deviceType = Number(messageChunks[1]);
        this.deviceId = messageChunks[2];
        // const pair = messageChunks[3].split('=');
        // if (pair[0] !== 'AlarmNUM') {
        //   throw new Error(`Unexpected command format. Expected key "AlarmNUM" got "${pair[0]}" in string ${messageChunks.join(';')}`);
        // }
        this.alarmType = Number(messageChunks[3]);
    }
    toString() {
        return `Alarm: device=${this.deviceType}, id=${this.deviceId}, alarm=${this.alarmType}`;
    }
}
exports.AlarmMessage = AlarmMessage;
class UnknownMessage {
    constructor() {
        this.messageType = ajax_1.AjaxSerialMessageType.UNKNOWN;
        this.deviceType = ajax_1.AjaxDeviceType.NotDefined;
        this.deviceId = '';
    }
    toString() {
        return 'Unsupported message';
    }
}
exports.UnknownMessage = UnknownMessage;
function ajaxMessageFromString(messageStr) {
    const chunks = messageStr.split(';');
    const messageType = chunks[0];
    let msgObj;
    switch (messageType) {
        case ajax_1.AjaxSerialMessageType.ALARM:
            msgObj = new AlarmMessage(chunks);
            break;
        default:
            msgObj = new UnknownMessage();
            break;
    }
    return msgObj;
}
exports.ajaxMessageFromString = ajaxMessageFromString;
//# sourceMappingURL=ajaxSerialMessage.js.map